## org.eclipse.emf.ecore.plugin
Class RegistryReader

    java.lang.Object
      org.eclipse.emf.ecore.plugin.RegistryReader

    public abstract class RegistryReader

extends java.lang.Object

Nested Class Summary
`static class` `RegistryReader.PluginClassDescriptor`

Field Summary
`protected IExtensionRegistry` `pluginRegistry`
`protected static java.lang.String` `TAG_DESCRIPTION`

Constructor Summary
`RegistryReader(IExtensionRegistry pluginRegistry, java.lang.String pluginID, java.lang.String extensionPointID)`

Method Summary
`protected void` `logError(IConfigurationElement element, java.lang.String text)` Logs the error in the desktop log using the provided text and the information in the configuration element.
`protected void` `logMissingAttribute(IConfigurationElement element, java.lang.String attributeName)` Logs a very common registry error when a required attribute is missing.
`protected boolean` `readElement(IConfigurationElement element)` Implement this method to read element attributes.
`protected boolean` `readElement(IConfigurationElement element, boolean add)` Implement this method to read element attributes for the purpose of adding or removing their registrations.
`void` `readRegistry()` Reads from the plugin registry and parses it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_DESCRIPTION

    protected static final java.lang.String TAG_DESCRIPTION

See Also:
  Constant Field Values

### pluginRegistry

    protected IExtensionRegistry pluginRegistry

Constructor Detail

### RegistryReader

    public RegistryReader(IExtensionRegistry pluginRegistry,
                          java.lang.String pluginID,
                          java.lang.String extensionPointID)

Method Detail

### readElement

    protected boolean readElement(IConfigurationElement element)

  Implement this method to read element attributes. If this element has child elements, the reader will recursively cycle through them and will call this method, so don't do it here. If you want to support removing entries, override `readElement(IConfigurationElement, boolean)` instead.

### readElement

    protected boolean readElement(IConfigurationElement element,
                                  boolean add)

  Implement this method to read element attributes for the purpose of adding or removing their registrations. If this element has child elements, the reader will recursively cycle through them and will call this method, so don't do it here.

### readRegistry

    public void readRegistry()

  Reads from the plugin registry and parses it.

### logError

    protected void logError(IConfigurationElement element,
                            java.lang.String text)

  Logs the error in the desktop log using the provided text and the information in the configuration element.

### logMissingAttribute

    protected void logMissingAttribute(IConfigurationElement element,
                                       java.lang.String attributeName)

  Logs a very common registry error when a required attribute is missing.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.